
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 */
@Schema(description = "我的订单数量")
public class OrderCountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "所有订单数量")
    private Integer allCount;

    @Schema(description = "待付款")
    private Integer unPay;

    @Schema(description = "待发货")
    private Integer payed;

    @Schema(description = "待收货")
    private Integer consignment;

    @Schema(description = "等评价")
    private Integer comment;

    @Schema(description = "已完成")
    private Integer success;

    @Schema(description = "待成团")
    private Integer grouping;

    @Schema(description = "代付尾款")
    private Integer preSale;
    @Schema(description = "退款订单")
    private Integer refund;

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getUnPay() {
        return unPay;
    }

    public void setUnPay(Integer unPay) {
        this.unPay = unPay;
    }

    public Integer getPayed() {
        return payed;
    }

    public void setPayed(Integer payed) {
        this.payed = payed;
    }

    public Integer getConsignment() {
        return consignment;
    }

    public void setConsignment(Integer consignment) {
        this.consignment = consignment;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public Integer getGrouping() {
        return grouping;
    }

    public void setGrouping(Integer grouping) {
        this.grouping = grouping;
    }

    public Integer getPreSale() {
        return preSale;
    }

    public void setPreSale(Integer preSale) {
        this.preSale = preSale;
    }

    public Integer getRefund() {
        return refund;
    }

    public void setRefund(Integer refund) {
        this.refund = refund;
    }

    public Integer getComment() {
        return comment;
    }

    public void setComment(Integer comment) {
        this.comment = comment;
    }

    @Override
    public String toString() {
        return "OrderCountVO{" +
                "allCount=" + allCount +
                ", unPay=" + unPay +
                ", payed=" + payed +
                ", consignment=" + consignment +
                ", comment=" + comment +
                ", success=" + success +
                ", grouping=" + grouping +
                ", preSale=" + preSale +
                ", refund=" + refund +
                '}';
    }
}
